lib = File.expand_path('lib', __dir__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'ghbulk/version'

Gem::Specification.new do |spec|
    spec.name          = 'ghbulk'
    spec.version       = GHBulk::VERSION
    spec.authors       = ['Tim Gurney aka Wolf']
    spec.email         = ['wolf@tgwolf.com']

    spec.summary       = 'A simple gem for bulk GitHub repository creation'
    spec.description   = 'A simple gem for bulk creation of GitHub Repositories.'
    spec.homepage      = 'https://github.com/WolfSoftware/ghbulk'
    spec.license       = 'MIT'

    spec.files         = `git ls-files`.split($/)

    spec.bindir        = 'exe'
    spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
    spec.require_paths = ['lib']

    spec.add_development_dependency 'bundler', '>= 1.17', '< 3.0'
    spec.add_development_dependency 'colorize', '~> 0.8.1'
    spec.add_development_dependency 'octokit', '~> 4.15.0'
    spec.add_development_dependency 'rake', '~> 13.0'
    spec.add_development_dependency 'rspec', '~> 3.0'

    spec.add_runtime_dependency 'colorize', '~> 0.8.1'
    spec.add_runtime_dependency 'octokit', '~> 4.15.0'
end
